%%% Entropy2

function [S,H,D] = Entropy2(X)

% 
%     [r,c] = size(X);                                            % Determine the number of sites
%     if(r > 1 & c == 1)                                          % Convert column vector to row vector
%         X = X';
%         [r,c] = size(X);
%     end;
%     
%     S = zeros(r,1);
%     H = zeros(r,1);                                             % Allocate column vector for diversity indices
% 
%     for i = 1:r
%         ind = find(X(i,:) > 0);                                 % Find all non-zero entries
%         if(isempty(ind))    
%             S(i) = 0;
%             H(i) = 0;
%             J(i) = 0;
%         else;
%             p = X(i,ind)./sum(X(i,ind));
%             D1=[];
%             D2=[];
%             for j = 1:length(ind)
%                 D1(j) = p(j)^0;
%                 D2(j) = p(j)*log(p(j));
%             end;
%             S(i) = sum(D1);                                     % Calculate species richness
%             H(i) = exp(-sum(D2));                               % Calculate Shannon entropy
%         end;
%     end;
  
    [S,H1,E1,D1,R1] = diversity(X);

% Estimate the entropy conversion for Shannon diversity   [S,H] = shannon(X);                     % Species richness and Shannon diversity
    H = 2;                                                      % provide first estimate for equivalent number of species
    H = fminsearch('Entropy2f',H,[],H1);            % Optimization routine

% Estimate the entropy conversion for the Berger-Parker index, which is simply its reciprical
    D = bergerparker(X,1);
    
return;