%GRPMEAN

function Y = grpmean(X,grps)

    [r,c] = size(X);
    [u,f] = unique1(grps);
    lenu = length(u);
    
    if(nargin < 2)
        grps = [];
    end;
    
    if(isempty(grps))
        grps = ones(r,1);
    end;
    
    Y = zeros(lenu,c);
    
    for i = 1:lenu
        ind = find(grps == i);
        a = X(ind,:);
        Y(i,:) = mean(a);
    end;
    
return;