% LogPopGrowthFitf:

function dev = LogPopGrowthFitf(param,Obs,r,rVar)

%     r = param(1);
%     rVar = param(2);
    K = param(1);
    KVar = param(2);

    Exp = Obs(1);
    t = length(Obs);
    
    for i = 1:t-1
        rBar = normrnd(r,rVar);
        KBar = normrnd(K,KVar);
        Exp(i+1) = Exp(i)*exp(rBar*(1-(Exp(i)/KBar)));
    end;
    
    dev = sumsqdev(Obs,Exp);    
    
return;