
function [PerX,PerY] = PLSR(X,Y)
    
    X = zscores(X);
    Y = zscores(Y);

%     [rX,cX] = size(X);
%     [rY,cY] = size(Y);
%      
%     lv = cX;           % Determine number of latent variables to extract
%      
%     T = ones(rX,1);
%     W = [];
%     U = [];
%      
%     for j = 1:lv
%         crit = 1000;
%         epsilon = 0.000001;
%         w = rand(cX,1);                    % intialize w
%         w0 = w;
%          
%         stop = 1;
%         while(crit > epsilon & stop < 250)
%             t = X * w;
%             t = t - T * inv(T'*T) * T' * t;
%             c = Y' * t;
%             u = Y * c;
%             u = u - T * inv(T'*T) * T' * u;
%             w = X' * u;
%             w = w / norm(w);
%             crit = norm(w - w0);
%             w0 = w;
%             stop = stop + 1;
%         end;
%         T = [T t];
%         W = [W w];
%         U = [U u];
%          
%     end;
%     

% 
%     for j = 1:rX
%         w(j) = X(:,j)'*Y(:,j) / norm(X(:,j)'*Y(:,j))
%         t(j) = X(:,j)*w(j)
%         c(j) = (t(j)'*Y(:,j)) / (t(j)'*t(j))
%         p(j) = (X(:,j)'*t(j)) / (t(j)'*t(j))
%         X(:,j+1) = X(:,j) - t(j)*p(j)'
%         Y(:,j+1) = Y(:,j) - t(j)*c(j)
%     end;

    X=zscores(X);
    Y=zscores(Y);
    
    [T,P,U,Q,B,W] = pls(X,Y);
    
    [r,c] = size(T);

    for i = 1:c
        PerX(i) = (T(:,i)'*T(:,i)*P(:,i)'*P(:,i));      % / trace(X'*X);
        PerY(i) = (U(:,i)'*U(:,i)*Q(:,i)'*Q(:,i));      % / trace(Y'*Y);
    end;
    PerX = PerX / sum(PerX);
    PerY = PerY / sum(PerY);
    
return;