% probone : Probit regression for bone data (ossifaication sequences)
%
%  Usage probt = probone(sp,t,d)
%


function probt = probone(sp,t,d)

    load fishdata.mat;

    ind = find(species == sp & temp == t & diet == d);
    %ind = find(species == sp & temp == t);
    %ind = find(species == sp);

	[a,b] = size(bones);

    S = sizes(ind);
    [sortS,ind1] = sort(S);
   
    B = bones(ind,:);
    sortB = B(ind1,:);
    probt = zeros(b,1);
  
    for i = 37
        [b,ndp,maxmin,loglike] = probit(sortS,sortB(:,i),1);
        probt(i) = ndp(1);
 	end;  
 
return;
