% AbsDev: This function finds the sum of absolute deviations between
%   observed and expected values.
%
%   Usage: AD = absdev(obs,exp)
%
%   obs = a vector of observed values
%   exp = a vector of expected values
%   -----------------------------------------------------------------
%   AD = sum of absolute deviations between observed and expected
%
%   Chris L. Higgins 3/9/2003
%

function AD = absdev(obs,exp)

    AD = sum(abs(obs-exp));

return;