% DISPERSALSIM:


function [PA,Abund,SppAbund,counts] = dispersalsim(species,nsteps,nreps,start)

    if(nargin < 4)
        start = [];
    end;
%     if(isempty(start))
%         start = [ceil(rand*156) ceil(rand*120)];
%     end;

    field = AutocorrField([156 120],6,1,[]);
    

    PA = zeros(8,5);
    Cnts = zeros(160,124);
    for k = 1:species
        k
        %F = round(field*(k-1))+1;
        F = ((field*species)+1)-(k-1);
        ind = find(F < 1);
        F(ind) = 1;

%         figure;
%         pcolor(F);
%         shading flat;
        
%         I = find(F == 0);
%         F(I) = 1;
        Cnts = zeros(160,124);
        for n = 1:nreps
            if(isempty(start))
                strt = [ceil(rand*156) ceil(rand*120)];
            end;
            [counts,walks] = fishmovesim(F,strt,1,nsteps,1,[],[1 1 0]);
            Cnts = Cnts + counts;
        end;
        length(find(Cnts > 0));
        Counts(:,:,k) = Cnts;   
        ind = 0;
        for i = 1:8
            r1 = ((i-1)*12)+30;
            r2 = ((i-1)*12)+41;     
            for j = 1:5
                ind = ind + 1;
                c1 = ((j-1)*12)+30;
                c2 = ((j-1)*12)+41;
                SppAbund(i,j,k) = sum(sum(Counts(r1:r2,c1:c2,k)));
                Abund(k,ind) = sum(sum(Counts(r1:r2,c1:c2,k)));
            end;
        end;
        PA = PA + makebinary(SppAbund(:,:,k));
    end;
            
return;