% FISHSIZE

function [L] = fishsize(L0,Linf,k,t,N)

    for j = 1:N
        RLinf = normrnd(Linf(1),Linf(2));
        RL0 = normrnd(L0(1),L0(2));
        Rk = normrnd(k(1),k(2));
        for i = 1:t
            L(j,i) = RLinf  - ((RLinf - RL0)*exp(-Rk*i));
        end;
    end;
    
return;