%GRPMAT:  Creates a group matrix from a grouping vector.

function Mat = grpmat(grps)

    len = length(grps);
    
    [u,f] = unique1(grps);
    
    Mat = zeros(len,length(u));
    
    for i = 1:length(u)
        ind = find(grps == u(i));
        Mat(ind,u(i)) = 1;
    end;
    
return;