% LOGNORMFIT

function dev = lognormfit(data)

    maxN = max(data);
    
    ln = ceil(log2(maxN));    
    octave = 2.^[0:ln];
    R = [1:length(octave)-1] - (ceil((length(octave)-1)/2));
    S = length(data);
  
    Obs = zeros(1,length(R));
    for i = 1:length(R)
        x = octave(i):octave(i+1)-1;
        ind = [];
        for j = 1:length(x)
            y = find(data == x(j));
            ind = [ind y];
        end;
        Obs(i) = length(ind);
    end;
    Obs
      
    So = max(Obs);
    a = sqrt((log(So/Obs(end))/R(end)^2));
    
    for i = 1:length(R)
        Exp(i) = So * exp(-a^2 * R(i)^2);
    end;
    Exp
    dev = chi2(Obs,Exp);
end;
