% MAKEBINARY:  This function converts a non-binary data matrix into a binary data matrix.
%
%   Usage: X = makebinary(Y)
%
%   Y = non-binary data set
%   ----------------------------------------------------------------------------
%   X = binary data set
%
%   Chris L. Higgins
%

function X = makebinary(Y)

    ind = find(Y > 0);
    Y(ind) = 1;
    X = Y;
    
return;