% NESTBOXPLOT

function nestboxplot(Y,Ax,Tc1,Tc2,Tc3,Tc4)

if(nargin < 2)
    Tc1 = [];
end;
if(nargin < 3)
    Tc2 = [];
end;
if(nargin < 4)
    Tc3 = [];
end;
if(nargin < 5)
    Tc4 = [];
end;

Grps = makegrps([1 2 3 4 5 6],100);

hold on
subplot(2,4,1)
X = [Y(:,1);Y(:,2);Y(:,3);Y(:,4);Y(:,5);Y(:,6)];
boxplot1(Grps,X);
hold on
%plot(Tc1(1:5),'k')
%plot(Tc2(1:5),'k--')
%plot(Tc3(1:5),'k-.')
%plot(Tc4(1:5),'k:')
axis(Ax)
puttitle('UF',12);
putx('');
t = text(-1.3,27,'Metric');
set(t,'Rotation',90)
set(t,'FontSize',12)
set(gca,'XTickLabel',' ')
subplot(2,4,5)
X = [Y(:,7);Y(:,8);Y(:,9);Y(:,10);Y(:,11);Y(:,12)];
boxplot1(Grps,X);
hold on
%plot(Tc1(6:10),'k')
%plot(Tc2(6:10),'k--')
%plot(Tc3(6:10),'k-.')
%plot(Tc4(6:10),'k:')
axis(Ax)
putx('');
t = text(-1.3,27,'Metric');
set(t,'Rotation',90);
set(t,'FontSize',12);
set(gca,'XTickLabel',' ')
a = text(1,-21,'256');
set(a,'Rotation',90);
b = text(2,-21,'512');
set(b,'Rotation',90);
c = text(3,-20,'1024');
set(c,'Rotation',90);
d = text(4,-20,'2048');
set(d,'Rotation',90);
e = text(5,-20,'4096');
set(e,'Rotation',90);
f = text(6,-20,'8192');
set(f,'Rotation',90);
t = text(2,-30,'Density');
set(t,'FontSize',12')
subplot(2,4,2)
X = [Y(:,13);Y(:,14);Y(:,15);Y(:,16);Y(:,17);Y(:,18)];
boxplot1(Grps,X);
hold on
%plot(Tc1(11:15),'k')
%plot(Tc2(11:15),'k--')
%plot(Tc3(11:15),'k-.')
%plot(Tc4(11:15),'k:')
axis(Ax)
puttitle('DD',12);
putx('');
puty('');
set(gca,'XTickLabel','')
set(gca,'YTickLabel','')
subplot(2,4,6)
X = [Y(:,19);Y(:,20);Y(:,21);Y(:,22);Y(:,23);Y(:,24)];
boxplot1(Grps,X);
hold on
%plot(Tc1(16:20),'k')
%plot(Tc2(16:20),'k--')
%plot(Tc3(16:20),'k-.')
%plot(Tc4(16:20),'k:')
axis(Ax)
putx('');
puty('');
set(gca,'XTickLabel','')
set(gca,'YTickLabel','')
a = text(1,-21,'256');
set(a,'Rotation',90);
b = text(2,-21,'512');
set(b,'Rotation',90);
c = text(3,-20,'1024');
set(c,'Rotation',90);
d = text(4,-20,'2048');
set(d,'Rotation',90);
e = text(5,-20,'4096');
set(e,'Rotation',90);
f = text(6,-20,'8192');
set(f,'Rotation',90);
t = text(2,-30,'Density');
set(t,'FontSize',12')
subplot(2,4,3)
X = [Y(:,25);Y(:,26);Y(:,27);Y(:,28);Y(:,29);Y(:,30)];
boxplot1(Grps,X);
hold on
%plot(Tc1(21:25),'k')
%plot(Tc2(21:25),'k--')
%plot(Tc3(21:25),'k-.')
%plot(Tc4(21:25),'k:')
axis(Ax)
puttitle('RA',12);
putx('');
puty('');
set(gca,'XTickLabel','')
set(gca,'YTickLabel','')
subplot(2,4,7)
X = [Y(:,31);Y(:,32);Y(:,33);Y(:,34);Y(:,35);Y(:,36)];
boxplot1(Grps,X);
hold on
%plot(Tc1(26:30),'k')
%plot(Tc2(26:30),'k--')
%plot(Tc3(26:30),'k-.')
%plot(Tc4(26:30),'k:')
axis(Ax)
putx('');
puty('');
set(gca,'XTickLabel','')
set(gca,'YTickLabel','')
a = text(1,-21,'256');
set(a,'Rotation',90);
b = text(2,-21,'512');
set(b,'Rotation',90);
c = text(3,-20,'1024');
set(c,'Rotation',90);
d = text(4,-20,'2048');
set(d,'Rotation',90);
e = text(5,-20,'4096');
set(e,'Rotation',90);
f = text(6,-20,'8192');
set(f,'Rotation',90);
t = text(2,-30,'Density');
set(t,'FontSize',12')
subplot(2,4,4)
X = [Y(:,37);Y(:,38);Y(:,39);Y(:,40);Y(:,41);Y(:,42)];
boxplot1(Grps,X);
hold on
%plot(Tc1(31:35),'k')
%plot(Tc2(31:35),'k--')
%plot(Tc3(31:35),'k-.')
%plot(Tc4(31:35),'k:')
axis(Ax)
puttitle('DP',12);
putx('');
puty('');
set(gca,'XTickLabel','')
set(gca,'YTickLabel','')
subplot(2,4,8)
X = [Y(:,43);Y(:,44);Y(:,45);Y(:,46);Y(:,47);Y(:,48)];
boxplot1(Grps,X);
hold on
%plot(Tc1(36:40),'k')
%plot(Tc2(36:40),'k--')
%plot(Tc3(36:40),'k-.')
%plot(Tc4(36:40),'k:')
axis(Ax)
putx('');
puty('');
set(gca,'XTickLabel','')
set(gca,'YTickLabel','')
a = text(1,-21,'256');
set(a,'Rotation',90);
b = text(2,-21,'512');
set(b,'Rotation',90);
c = text(3,-20,'1024');
set(c,'Rotation',90);
d = text(4,-20,'2048');
set(d,'Rotation',90);
e = text(5,-20,'4096');
set(e,'Rotation',90);
f = text(6,-20,'8192');
set(f,'Rotation',90);
t = text(2,-30,'Density');
set(t,'FontSize',12')


return;