% NESTEDNULLIND

function [Temp,Temp_null] = nestednullind(SAD,ISD,IND,file,iter1,iter2,con)

    if(nargin < 4)
        warning('NESTEDNULLIND: The data will be saved in c:/matlab6/work/nestjunk.mat');
        file = [];
    end;
    if(nargin < 5)
        iter1 = [];
    end;
    if(nargin < 6)
        iter2 = [];
    end;
    if(nargin < 7)
        con = [];
    end;
    
    if(isempty(file))
        file = 'C:\Matlab6\work\nestjunk.mat';
    end;
    if(isempty(iter1))
        iter1 = 1;
    end;
    if(isempty(iter2))
        iter2 = 50;
    end;
    if(isempty(con))
        con = 1;
    end;

    [ra,ca] = size(SAD);
    [rb,cb] = size(ISD);
    lenc = length(IND);
    
    Com = ra*cb*lenc;
    Temp = zeros(iter1,Com);
    Temp_null = zeros(iter1,Com,iter2);

    it = 0;
    for a = 1:ra
        for b = 1:cb
            for c = 1:lenc
                it = it + 1;
                disp(it)
                for i = 1:iter1
                    disp(i)
                    P = ISD(:,b) * SAD(a,:);
                    null = assignind(P,IND(c),con);
                    [Temp(i,it),fill,p_Temp,Temp_null(i,it,:)] = nestcalc(null,iter2);
                end;     

                save(file,'Temp','Temp_null');
            end;
        end;
    end;

return;