% NESTEDNULLIND1

function [N0,N1,Nc,C,z,Pz,PN0,PN1,PNc,PC] = nestednullind1(SAD,ISD,IND,file,iter1)

    if(nargin < 4)
        warning('NESTEDNULLIND: The data will be saved in c:/matlab6/work/nestjunk.mat');
        file = [];
    end;
    if(nargin < 5)
        iter1 = [];
    end;
    
    if(isempty(file))
        file = 'C:\Matlab6\work\nestjunk.mat';
    end;
    if(isempty(iter1))
        iter1 = 1;
    end;

    [ra,ca] = size(SAD);
    [rb,cb] = size(ISD);
    lenc = length(IND);
    
    Com = ra*cb*lenc;
    N0 = zeros(iter1,Com);
    N1 = zeros(iter1,Com);
    Nc = zeros(iter1,Com);
    C = zeros(iter1,Com);
    z = zeros(iter1,Com);
    Pz = zeros(iter1,Com,1000);
    PN0 = zeros(iter1,Com,1000);
    PN1 = zeros(iter1,Com,1000);
    PNc = zeros(iter1,Com,1000);
    PC = zeros(iter1,Com,1000);
    
    it = 0;
    for a = 1:ra
        for b = 1:cb
            for c = 1:lenc
                it = it + 1;
                disp(it)
                P = ISD(:,b) * SAD(a,:);
                for i = 1:iter1
                    disp(i)
                    null = assignind(P,IND(c),1);
                    [N0(i,it),N1(i,it),Nc(i,it),C(i,it),z(i,it),Pz(i,it),PN0(i,it,:),PN1(i,it,:),PNc(i,it,:),PC(i,it,:)] = nestedness(null,[],1000);
                end;     
                save(file,'N0','N1','Nc','C','z','Pz','PN0','PN1','PNc','PC');
            end;
        end;
    end;

return;