% NESTEDRAND: produces a random [r x c] matrix with n presences.

function R = nestedrand(r,c,fill)

    if(fill > 1)
        fill = fill / 100;
    end;

    P = ones(r,c) ./ (r*c);
    n = round(r*c*fill);
    R = assignsp(P,n);
    
return;
