% PLS2

function [T,W,U] = pls2(X,Y,i)

    [n,p] = size(X);
    T = ones(n,1);
    for j = 1:i
        crit = 1000;
        epsilon = 0.000001;
        w = rand(p,1);
        w0 = w;
        while crit > epsilon
            t = X*w;
            t = t-T*inv(T'*T)*T'*t;
            c = Y'*t;
            u = Y *c;
            u = u-T*inv(T'*T)*T'*u;
            w = X'*u;
            w = w/norm(w);
            crit = norm(w-w0);
            w0=w;
        end;
        T = [T t];
        W = [W w];
        U = [U u];
    end;
    
return;