%PTofINTER:   Determine the point of intersection between two lines

function pts = ptinter(line1,line2)

    [r1,c1] = size(line1);
    [r2,c2] = size(line2);
    if(r1 > 1 & r2 == 1)
        pts = zeros(r1,2);
        for i = 1:r1
            dlm = (line1(i,1)*line2(2)) - (line1(i,2)*line2(1));
            pts(i,1) = ((line1(i,2)*line2(3)) - (line2(2)*line1(i,3))) / dlm;
            pts(i,2) = ((line1(i,3)*line2(1)) - (line1(i,1)*line2(3))) / dlm;
        end;
        F=1;
    end;
    if(r2 > 1 & r1 == 1)
        pts = zeros(r2,2);
        for i = 1:r2
            dlm = (line1(1)*line2(i,2)) - (line1(2)*line2(i,1));
            pts(i,1) = ((line1(2)*line2(i,3)) - (line2(i,2)*line1(3))) / dlm;
            pts(i,2) = ((line1(3)*line2(i,1)) - (line1(1)*line2(i,3))) / dlm;
        end;
        F=1;
    end;
    if(r1 == r2)
        pts = zeros(r2,2);
        for i = 1:r2
            dlm = (line1(i,1)*line2(i,2)) - (line1(i,2)*line2(i,1));
            pts(i,1) = ((line1(i,2)*line2(i,3)) - (line2(i,2)*line1(i,3))) / dlm;
            pts(i,2) = ((line1(i,3)*line2(i,1)) - (line1(i,1)*line2(i,3))) / dlm;
        end;
        F=1;
    end;
    if(F ~= 1)
        error('PTINTER: Line sizes were not appropriate.')
    end;
       
return;