% RANDASS  

function [H,E,S] = randass(data,iter)

    [r,c] = size(data);
    X = rowsum(data);
    U = makegrps(1:r,X);
    
    H = zeros(r,2);
    E = zeros(r,2);
    S = zeros(r,2);
    
    for i = 1:r
        [H(i,1),E(i,1),S(i,1)] = diversity(data(i,:)');
        TotInd = sum(data(i,:));
        for j = 1:iter
            ind = ceil(rand(TotInd,1) * length(U));
            N = U(ind);
            [u,f] = unique1(N);
            [div(j),eve(j),ric(j)] = diversity(f);
        end;
        H(i,2) = pvalue(H(i,1),div);
        E(i,2) = pvalue(E(i,1),eve);
        S(i,2) = pvalue(S(i,1),ric);
    end;
    
return;