% RANDOM0:

function null = random0(X,con)

    if(nargin < 2)
        con = [];
    end;
    if(isempty(con))
        con = 0;
    end;

    [r,c] = size(X);
    Richness = rowsum(X);
  
    null = zeros(r,c);
    
    if(con == 0)
        for i = 1:r
            rp = randperm(c);
            ind = rp(1:Richness(i));
            null(i,ind) = 1;
        end;
    else;           
        stop = 0;
        while(stop == 0)                        % This loop makes sure that all columns have at least 1 species
            for i = 1:r
                rp = randperm(c);
                ind = rp(1:Richness(i));
                null(i,ind) = 1;
            end;
            z = sum(null);
            Ind = find(z == 0);
            if(isempty(Ind))
                stop = 1;
            end;
        end;
    end;
        
        
    
return;