% RANDOM1A:

function null = random1a(X)

    [r,c] = size(X);
    Richness = rowsum(X);
    Incidence = sum(X);
    N = sum(Richness);
    RelI = Incidence / N;

    null = zeros(r,c);
    
    for i = 1:r
        Incid = Incidence;
        Jt = sum(Incid);
        I = [];
        for j = 1:Richness(i)
            P = Incid / Jt;
            C = cumsum(P);
            Indices = find(C >= rand);
            Index = Indices(1);
            Incid(Index) = 0;
            Jt = sum(Incid);
            I = [I Index];
        end;
        null(i,I) = 1;
    end;
    
return;