% SPPACCUM:

function Spp = sppaccum(Data,iter,doplot)

    [r,c] = size(Data);
    B = makebinary(Data);
    for i = 1:iter
        R = randperm(c);
        XB = B(:,R);
        Spp(i,1) = sum(XB(:,1));
        IndB = find(XB(:,1) == 1);
        for j = 2:c
            IndBr = find(XB(:,j) == 1);
            if(isempty(IndBr))
                Spp(i,j) = Spp(i,j-1);
            else;
                bB = isin(IndBr,IndB);
                IndB = [IndB;IndBr];
                IB = find(bB == 0);
                if(isempty(IB))
                    Spp(i,j) = Spp(i,j-1); 
                else;
                    Spp(i,j) = Spp(i,j-1) + sum(XB(IndBr(IB),j));
                end;
            end;
        end;
    end;
    Spp = mean(Spp);
    if(doplot)
        plot(Spp);
        putx('Samples');
        puty('Species Richness');
    end;
        
return;