%Subplotpts
%
%
%

function subplotpts(nplots,npts,distrib)
figure;
pts = [];
	for i = 1:nplots
   	subplot(ceil(sqrt(nplots)),ceil(sqrt(nplots)),i);
      hold on;
      p = randpts(npts,distrib);
      pts = [pts;p];
      for j = 1:npts
         d(j) = euclidist([0 0],p(j,:));
      end;
      m = min(d);
      sn = find(d(:) == min(d));
		plot(p(:,1),p(:,2),'o');
		plot(p(sn,1),p(sn,2),'k*');
      putbounds(p(:,1),p(:,2),.1);
      axis square; 
      axis off;
   end;
   
   figure;
   for k = 1:nplots
      subplot(ceil(sqrt(nplots)),ceil(sqrt(nplots)),k);
      pt = pts((((15*(k-1))+1):15*k),:);
      plotlabel(pt);
      putbounds(pt(:,1),pt(:,2),.1);
      axis off;

   end;
return