% UNIQUE1:	A program which will accept any matrix and will return 
%				a colum vector containing the unique vaules in the matrix.
%
%	USAGE:	[u,freq] = unique1(x)
%			
%				u = the unique values in the matrix or vector
%				freq = the frequency of the unique values
%				------------------------------------------------
%				A = a data matrix or vector containing the values
%
%		Chris Higgis 1/18/1999
%

%   9/28/2006 -- added step to sort unique values

function [u,freq] = unique1(x);
	
    x = x(:);
	u = x(1);
	freq = 1;
	for i = 2:length(x);
		if (x(i) ~= u)
			u = [u;x(i)];
			freq = [freq;1];
		else;
			f = find(x(i) == u);
			freq(f) = freq(f) + 1;
		end;
	end;
    
 % Added step to sort values
    [u,ind] = sort(u);
    freq = freq(ind);

return;