% DEV:

function [sd,m,se,ci] = dev(data,grps)

	[u,f] = unique1(grps);
   lenu = length(u);
   
   x = [];
   sd = zeros(lenu,1);
   m = zeros(lenu,1);
   se = zeros(lenu,1);
   ci = zeros(lenu,1);
   
   for i = 1:lenu
      y = find(grps == u(i));
      x = data(y);
      sd(i) = std(x);
      m(i) = mean(x);
      se(i) = sd(i) ./ sqrt(f(i)); 
      ci(i) = se(i) * tinv(0.95,f(i));
   end;
   
   return;