% 	PUTTITLE: 	Adds a title to the current figure
%
%	USAGE: 		puttitle(text,{font})
%
%					---------------------------------------------------------------
%					text = the text to be printed above figure as a title
%	  	         font = optional, the font size {default = 16}
%
%	Chtis Higgins 5/4/2000
%

function puttitle(text,font)
	if(nargin < 2)
      font = [];
   end;

	if(isempty(font))
   	font = 16;
  	end;
	
 	title(text,'FontName','helvetica','FontSize',font);
    
return;