%PATHPERC: 	This functions finds the percentages that each search tactics 
%				for each set of food	items and stores the information in a [n x n] matrix
%				The rows are the search tactis an dthe columns are the percentage of rankings
%
%	USAGE:	
%
%				
%
%

function per_rank = pathperc(data,grps)

	[r,c] = size(data);
	[u,freq] = unique1(grps);
   lenu = length(u);
   obs = freq(1);
   
   d = zeros(lenu,1);
   per_rank = zeros(lenu,lenu);
   
   for i = 1:obs
      for j = 1:lenu
         dat(j) = data((((j-1)*obs) + i),1);
      end;
            
      [s,ind] = sort(dat);
      
      for k = 1:lenu
         per_rank(k,ind(k)) = per_rank(k,ind(k)) + 1;
      end;
   end;
  
  	per_rank = (per_rank ./ obs) .* 100;
   
return;
         
         
      
      