% RandomMatrix:  This function produces a random matrix of a given size with a given percent fill.

function X = RandomMatrix(r,c,fill)

    X = zeros(r,c);                                     % Allocate output matrix
    n = round(r*c*fill);                                % convert percent fill into ablsute number based on size of matrix
    
    rp = randperm(r*c);                                 % randomly permute all cells in matrix
    X(rp(1:n)) = 1;                                     % fill n cells with ones
    
return;