%WILLIG2: 

function [S,H,E,D,R] = willig2(X,N,iter)

    for j = 1:iter                                          % Cycle through iterations to build distribution    
        Y = bootsamp2(X,N);                                 % Create bootstrapped sample of N observations from X distribution
        [ES(j),EH(j),EE(j),ED(j),ER(j)] = diversity(Y);     % Calculate diversity values
    end;
    
    S(1) = mean(ES);                                        % Calculate descriptive statistics
    S([2:3]) = bootci(ES')';
    H(1) = mean(EH);
    H([2:3]) = bootci(EH')';
    E(1) = mean(EE);
    E([2:3]) = bootci(EE')';
    D(1) = mean(ED);
    D([2:3]) = bootci(ED')';
    R(1) = mean(ER);
    R([2:3]) = bootci(ER')';
        
 return;