% BOOTSAMP1:  This function creates a bootstrapped sample from the data matrix

function Y = bootsamp1(X)

    [r,c] = size(X);                        % Determine size of data matrix
    
    Y = zeros(r,c);                         % Establish output matrix with all zeros
    
    for i = 1:r
        Z1 = makegrps([1:c],X(i,:))';
        Xsamp = samplewr(Z1');              % Create a bootstrapped vector of observed counts
        [u,f] = unique1(Xsamp);
        Y(i,u) = f';
    end;
   
return;