%CHI2

function [x2,p_value] = chi2(obs,exp)

    lenobs = length(obs);
    lenexp = length(exp);
    a = zeros(lenobs,1);

    for i = 1:lenobs
        if(any(exp == 0))
            i = find(exp == 0);
            exp(i) = 0.000000000000000000001;
        end;
        a(i) = (obs(i) - exp(i)).^2 / exp(i);
    end;

    x2 = sum(a);
    p_value = 1-chi2cdf(x2,lenobs-1);
    
return;
    