% Habitat2:

function [F,pr,ms,ss,df,varcomp,varprop] = habitat2(Env,Abund,weight)

    [rA,cA] = size(Abund);
    B = makebinary(Abund);
    s = sum(B);
    I = find(s > 0);
    
    E = [];
    G = [];
        
    for i = 1:length(I)
        if(weight == 0)
            ind = find(Abund(:,I(i)) > 0);
            len = length(ind);
            E = [E;Env(ind)];
            g = makegrps(i,len);
            G = [G;g];
        else;
            ind = find(Abund(:,I(i)) > 0);
            e = makegrps(Env(ind),Abund(ind,I(i)));
            E = [E;e];
            g = makegrps(i,length(e));
            G = [G;g];
        end;
    end;

   [F,pr,ms,ss,df,varcomp,varprop] = anova(E,G);
    
return;
    