% Habitat3:

function [L,t,p,RelHabAva,RelHabUse] = habitat3(River,Season,Habitat,bins,F)

    Nbins = length(bins);
    X=0;
    HabAva = [];
    RelHabAva = [];
    HabUse = [];
    RelHabUse = [];
    for i = 1:3
        for j = 1:4
            ind = find(River == i & Season == j);
            I = find(Habitat(ind) <= bins(1));
            if(isempty(I))
                X(1) = 0;
                Y(1) = 0;
            else;
                X(1) = length(I);
                Y(1) = sum(sum(F(ind(I))));
            end;
            for k = 2:Nbins
                I = find(Habitat(ind) > bins(k-1) & Habitat(ind) <= bins(k));
                if(isempty(I))
                    X(k) = 0;
                    Y(k) = 0;
                else;
                    X(k) = length(I);% - sum(X(1:k-1));
                    Y(k) = sum(sum(F(ind(I))));
                end;
            end
            I = find(Habitat(ind) > bins(Nbins));
            if(isempty(I))
                X(Nbins+1) = 0;
                Y(Nbins+1) = 0;
            else;
                X(Nbins+1) = length(I);
                Y(Nbins+1) = sum(sum(F(ind(I))));
            end;
            HabAva = [HabAva;X];%/sum(X)];
            RelHabAva = [RelHabAva;X/sum(X)];
            HabUse = [HabUse;Y];%/sum(Y)];
            RelHabUse = [RelHabUse;Y/sum(Y)];
        end;
    end;
 
    [L,t,p] = Strauss(HabAva,HabUse);
    
return;