% LENGTHFREQ: This function produces length frequency histograms for assemblage data.


function Y = lengthfreq(X,Sp)

    Rivers = X(:,1);
    Seasons = X(:,2);
    Microhabitat = X(:,3);
    Species = X(:,4);
    
    [uR,fR] = unique1(Rivers);
    [uS,fS] = unique1(Seasons);
    [uM,fM] = unique1(Microhabitat);
    [uSp,fSp] = unique1(Species);
    p=0;
    for i = 1:length(uR)
        for j = 1:length(uS)
            p = p +1;
            ind = find(Rivers == i & Seasons == j & Species == Sp);
            Lengths = X(ind,5);
            subplot(length(uR),length(uS),p);
            hist(X(ind,5));
%             for k = 1:length(uM);
%                 for m = 1:length(uSp)
%                     
%                     Data = X(ind,:);
%                     ind2 = find(Data > 0);
%                     Lengths = Data(ind2);
%                     figure;
%                     hist(Lengths);
%                 end;
%             end;
        end;
    end;
    
return;