% Nest
 
function null = nest(data,model);

    
    
    if(model == 0)
        packed = nestedmaxpack(data);
        [r,c] = size(packed);
        Rtot = rowsum(packed);
        Ctot = sum(packed);
        P = ones(r,c) * (1/c);
        for i = 1:r
            null(i,:) = assignsp(P(i,:),Rtot(i));
        end;
        
    end;
    
    if(model == 1)
        packed = nestedmaxpack(data);
        [r,c] = size(packed);
        Rtot = rowsum(packed);
        Ctot = sum(packed);
        for i = 1:r
            P(i,:) = Ctot/sum(Ctot);
        end;
        for i = 1:r
            null(i,:) = assignsp(P(i,:),Rtot(i));
        end;
    end;
    
    if(model == 2)
        packed = nestedmaxpack(data);
        [r,c] = size(packed);
        Rtot = rowsum(packed);
        Ctot = sum(packed);
        P = ones(r,c) * (1/(r*c))
        null = assignsp(P,sum(Ctot));
    end;
    
return;