% NESTBOXPLOT1

function nestboxplot1(Y,Ax,Tc1,Tc2,Tc3,Tc4)

if(nargin < 3)
    Tc1 = [];
end;
if(nargin < 4)
    Tc2 = [];
end;
if(nargin < 5)
    Tc3 = [];
end;
if(nargin < 6)
    Tc4 = [];
end;

Grps = makegrps([1 2 3 4 5 6 7],100);

hold on
subplot(2,4,1)
X = [Y(:,1);Y(:,2);Y(:,3);Y(:,4);Y(:,5);Y(:,6);Y(:,7)];
boxplot1(Grps,X);
hold on
if(~isempty(Tc1))    1
plot(Tc1(1:7),'k')
plot(Tc2(1:7),'k--')
plot(Tc3(1:7),'k-.')
plot(Tc4(1:7),'k:')
end;
axis(Ax)
puttitle('UF',12);
putx('');
t = text(-1.3,27,'Metric');
set(t,'Rotation',90)
set(t,'FontSize',12)
set(gca,'XTickLabel',' ')
subplot(2,4,5)
X = [Y(:,8);Y(:,9);Y(:,10);Y(:,11);Y(:,12);Y(:,13);Y(:,14)];
boxplot1(Grps,X);
hold on
if(~isempty(Tc1))
plot(Tc1(8:14),'k')
plot(Tc2(8:14),'k--')
plot(Tc3(8:14),'k-.')
plot(Tc4(8:14),'k:')
end;
axis(Ax)
putx('');
t = text(-1.3,27,'Metric');
set(t,'Rotation',90);
set(t,'FontSize',12);
set(gca,'XTickLabel',' ')
a = text(1,-19,'128');
set(a,'Rotation',90);
b = text(2,-19,'256');
set(b,'Rotation',90);
c = text(3,-19,'512');
set(c,'Rotation',90);
d = text(4,-20,'1024');
set(d,'Rotation',90);
e = text(5,-20,'2048');
set(e,'Rotation',90);
f = text(6,-20,'4096');
set(f,'Rotation',90);
g = text(7,-20,'8192');
set(g,'Rotation',90);
t = text(3,-30,'Density');
set(t,'FontSize',12')
subplot(2,4,2)
X = [Y(:,15);Y(:,16);Y(:,17);Y(:,18);Y(:,19);Y(:,20);Y(:,21)];
boxplot1(Grps,X);
hold on
if(~isempty(Tc1))
plot(Tc1(15:21),'k')
plot(Tc2(15:21),'k--')
plot(Tc3(15:21),'k-.')
plot(Tc4(15:21),'k:')
end;
axis(Ax)
puttitle('DD',12);
putx('');
puty('');
set(gca,'XTickLabel','')
set(gca,'YTickLabel','')
subplot(2,4,6)
X = [Y(:,22);Y(:,23);Y(:,24);Y(:,25);Y(:,26);Y(:,27);Y(:,28)];
boxplot1(Grps,X);
hold on
if(~isempty(Tc1))
plot(Tc1(22:28),'k')
plot(Tc2(22:28),'k--')
plot(Tc3(22:28),'k-.')
plot(Tc4(22:28),'k:')
end;
axis(Ax)
putx('');
puty('');
set(gca,'XTickLabel','')
set(gca,'YTickLabel','')
a = text(1,-19,'128');
set(a,'Rotation',90);
b = text(2,-19,'256');
set(b,'Rotation',90);
c = text(3,-19,'512');
set(c,'Rotation',90);
d = text(4,-20,'1024');
set(d,'Rotation',90);
e = text(5,-20,'2048');
set(e,'Rotation',90);
f = text(6,-20,'4096');
set(f,'Rotation',90);
g = text(7,-20,'8192');
set(g,'Rotation',90);
t = text(3,-30,'Density');
set(t,'FontSize',12')
subplot(2,4,3)
X = [Y(:,29);Y(:,30);Y(:,31);Y(:,32);Y(:,33);Y(:,34);Y(:,35)];
boxplot1(Grps,X);
hold on
if(~isempty(Tc1))
plot(Tc1(29:35),'k')
plot(Tc2(29:35),'k--')
plot(Tc3(29:35),'k-.')
plot(Tc4(29:35),'k:')
end;
axis(Ax)
puttitle('RA',12);
putx('');
puty('');
set(gca,'XTickLabel','')
set(gca,'YTickLabel','')
subplot(2,4,7)
X = [Y(:,36);Y(:,37);Y(:,38);Y(:,39);Y(:,40);Y(:,41);Y(:,42)];
boxplot1(Grps,X);
hold on
if(~isempty(Tc1))
plot(Tc1(36:42),'k')
plot(Tc2(36:42),'k--')
plot(Tc3(36:42),'k-.')
plot(Tc4(36:42),'k:')
end;
axis(Ax)
putx('');
puty('');
set(gca,'XTickLabel','')
set(gca,'YTickLabel','')
a = text(1,-19,'128');
set(a,'Rotation',90);
b = text(2,-19,'256');
set(b,'Rotation',90);
c = text(3,-19,'512');
set(c,'Rotation',90);
d = text(4,-20,'1024');
set(d,'Rotation',90);
e = text(5,-20,'2048');
set(e,'Rotation',90);
f = text(6,-20,'4096');
set(f,'Rotation',90);
g = text(7,-20,'8192');
set(g,'Rotation',90);
t = text(3,-30,'Density');
set(t,'FontSize',12')
subplot(2,4,4)
X = [Y(:,43);Y(:,44);Y(:,45);Y(:,46);Y(:,47);Y(:,48);Y(:,49)];
boxplot1(Grps,X);
hold on
if(~isempty(Tc1))
plot(Tc1(43:49),'k')
plot(Tc2(43:49),'k--')
plot(Tc3(43:49),'k-.')
plot(Tc4(43:49),'k:')
end;
axis(Ax)
puttitle('DP',12);
putx('');
puty('');
set(gca,'XTickLabel','')
set(gca,'YTickLabel','')
subplot(2,4,8)
X = [Y(:,50);Y(:,51);Y(:,52);Y(:,53);Y(:,54);Y(:,55);Y(:,56)];
boxplot1(Grps,X);
hold on
if(~isempty(Tc1))
plot(Tc1(50:56),'k')
plot(Tc2(50:56),'k--')
plot(Tc3(50:56),'k-.')
plot(Tc4(50:56),'k:')
end;
axis(Ax)
putx('');
puty('');
set(gca,'XTickLabel','')
set(gca,'YTickLabel','')
a = text(1,-19,'128');
set(a,'Rotation',90);
b = text(2,-19,'256');
set(b,'Rotation',90);
c = text(3,-19,'512');
set(c,'Rotation',90);
d = text(4,-20,'1024');
set(d,'Rotation',90);
e = text(5,-20,'2048');
set(e,'Rotation',90);
f = text(6,-20,'4096');
set(f,'Rotation',90);
g = text(7,-20,'8192');
set(g,'Rotation',90);
t = text(3,-30,'Density');
set(t,'FontSize',12')


return;