% NESTSIM:

function [N0,PN0,N1,PN1,Nc,PNc] = nestsim(intv,A,B)

    N0 = [];
    PN0 = [];
    N1 = [];
    PN1 = [];
    Nc = [];
    PNc = [];
    
    for i = A:B
        q = i*intv;
        %P = perfmatrix(q,q);
        P = checker(q,q);
        [N01,PN01,N11,PN11,Nc1,PNc1] = nestedness(P,0,1000);
        N0 = [N0; N01];
        PN0 = [PN0; PN01];
        N1 = [N1; N11];
        PN1 = [PN1; PN11];
        Nc = [Nc; Nc1];
        PNc = [PNc; PNc1];
    end;
    
return;       