% PASSSAMP

function [N0,N1,Nc,C,PN0,PN1,PNc,PC] = passsamp(SAD,ISD,IND,file,iter)

    if(nargin < 4)
        warning('NESTEDNULLIND: The data will be saved in c:/matlab6/work/nestjunk.mat');
        file = [];
    end;
    if(nargin < 5)
        iter = [];
    end;
    
    if(isempty(file))
        file = 'C:\Matlab6\work\nestjunk.mat';
    end;
    if(isempty(iter))
        iter = 1;
    end;

    [ra,ca] = size(SAD);
    [rb,cb] = size(ISD);
    lenc = length(IND);

    N0 = [];
    N1 = [];
    Nc = [];
    C = [];
    PN0 = [];
    PN1 = [];
    PNc = [];
    PC = [];
    for a = 1:ra
        for b = 1:cb
            P = ISD(:,b) * SAD(a,:);
            for c = 1:lenc
                A = zeros(1,iter);
                B = zeros(1,iter);
                D = zeros(1,iter);
                E = zeros(1,iter);
                F = zeros(1,iter);
                G = zeros(1,iter);
                H = zeros(1,iter);
                I = zeros(1,iter);
                for i = 1:iter
                    null = assignind(P,IND(c),1);
                    null = makebinary(null);
                    [A(i),B(i),D(i),E(i),F(i),G(i),H(i),I(i)]  = nestedness(null,0,1000);
                end;
            N0 = [N0;A];
            N1 = [N1;B];
            Nc = [Nc;D];
            C = [C;E];
            PN0 = [PN0;F];
            PN1 = [PN1;G];
            PNc = [PNc;H];
            PC = [PC;I];
            end;
        end;
    end;  
    save(file,'N0','N1','Nc','C','PN0','PN1','PNc','PC');
        
return;