% PERPLINE:

function L = perpline(line,pts)

    [r,c] = size(pts);
    if(c > 2)
        error('PERPLINE: the pts matrix is not of appropriate size');
    end;
    
    for i = 1:r
        L(i,:) = [-line(2), line(1), (line(2)*pts(i,1) - line(1)*pts(i,2))];
    end;
    
return;