% SADDIFF:

function [Subsets,Eq] = saddiff(Diff,DiffCI)

    [rD,cD] = size(Diff);
    [rC,cC] = size(DiffCI);
    
    Eq = [];
    for i = 1:rD
        for j = 1:cD
            CI(j,1,i) = DiffCI(i,j*2-1);
            if(Diff(i,j) <= CI(j,1,i))
                CI(j,1,i) = Diff(i,j) - eps;
            end;
            CI(j,2,i) = DiffCI(i,j*2);
            if(Diff(i,j) >= CI(j,2,i))
                CI(j,2,i) = Diff(i,j) + eps;
            end;
        end;
        [pr_omni,signif_omni,pr_pairwise,signif_pairwise,Sub] = IndexCompare(Diff(i,:),CI(:,:,i));
        [r,c] = size(Sub);
        if(r == 1)
            Subsets(i,:) = Sub;
        else
            Subsets(i,:) = Sub(1,:);
            Eq = [Eq;i];
        end;
    end;

return;